Subject: bug#46491: [feature/pgtk] Unused macro warning in image.c without ImageMagick

From: Alan Third <[email-masked]>
Date: Sat, 13 Feb 2021 23:05:45 +0000

On Sat, Feb 13, 2021 at 04:34:22PM +0000, Basil L. Contovounesios wrote:
> X-Debbugs-Cc: Yuuki Harano <[email-masked]>
> Severity: minor
> Tags: patch
> 
> The following is the only build warning I currently get on feature/pgtk:
> 
>   image.c:110: warning: macro "DONT_CREATE_TRANSFORMED_IMAGEMAGICK_IMAGE"
>     is not used [-Wunused-macros]
>     110 | # define DONT_CREATE_TRANSFORMED_IMAGEMAGICK_IMAGE
> 
> Is the attached patch the right fix?  If so, I can push it after adding
> the bug#number to it.

I think your patch looks right, but I'm confused as to why this is in
the PGTK branch at all. The imagemagick transforms are intentionally
excluded from the native transforms, but this disables the imagemagick
transforms completely and, presumably, replaces them with native
transforms.
-- 
Alan Third